KBDD(1)

NAME
kbdd - simple per-window keyboard layout switching daemon

SYNOPSIS
kbdd [ -n | --nodaemon ]
kbdd [ -h | --help ] [ -v | --version ]

DESCRIPTION
kbdd is a simple keyboard layout daemon that switches and restores layouts on a per-window basis.

-n, --nodaemon
    run in nodaemon (foreground) mode

-h, --help
    print a short usage summary

-v, --version
    print the program version

DBUS INTERFACE
Kbdd registers a dbus interface in order to notify a window manager about layout change and listens on this interface for incoming requests. This interface can be used in WM widgets to indicate the current layout.

The dbus interface has the following methods:

getLayoutName( uint32 )
    returns a string representing the layout group name

set_layout( uint32 )
    sets current group

getCurrentLayout
    returns current layout group id

next_layout
    switches to the next keyboard layout

prev_layout
    switches to the previous keyboard layout

The following events (signals) are available:

layoutChanged
    returns new group number

layoutNameChanged
    returns name for the new group

You can change the layout with the following dbus-send command:
    dbus-send --dest=ru.gentoo.KbddService /ru/gentoo/KbddService ru.gentoo.kbdd.set_layout uint32:1

BUGS
Some users reported problems with sticking meta-keys (Alt or Meta4), however, at the moment there is not enough information collected to conclude if this is caused by kbdd or not.

Newly found bugs may be reported on the project page at github (http://github.com/qnikst/kbdd/issues).

AUTORS
Alexander V. Vershilov (alexander.vershilov@gmail.com)

This manual page was updated for the Debian project by Stanislav Maslovski (stanislav.maslovski@gmail.com)

SEE ALSO
dbus-send(1), dbus-monitor(1)

You can get more information about kbdd usage on wiki pages of the kbdd project (https://github.com/qnikst/kbdd/wiki/Usecases).